# H245_RSVPParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RSVPParameters:

List of all members.

## Public Types

enum | OptionalFields { e_qosMode, e_tokenRate, e_bucketSize, e_peakRate, e_minPoliced, e_maxPktSize }

## Public Member Functions

| H245_RSVPParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_QOSMode | m_qosMode
PASN_Integer | m_tokenRate
PASN_Integer | m_bucketSize
PASN_Integer | m_peakRate
PASN_Integer | m_minPoliced
PASN_Integer | m_maxPktSize

## Member Enumeration Documentation

enum H245_RSVPParameters::OptionalFields

Enumerator:

  e_qosMode |
  e_tokenRate |
  e_bucketSize |
  e_peakRate |
  e_minPoliced |
  e_maxPktSize |

## Constructor & Destructor Documentation

H245_RSVPParameters::H245_RSVPParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RSVPParameters::GetDataLength | ( |  | ) | const

PBoolean H245_RSVPParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_RSVPParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RSVPParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RSVPParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RSVPParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_QOSMode H245_RSVPParameters::m_qosMode

PASN_Integer H245_RSVPParameters::m_tokenRate

PASN_Integer H245_RSVPParameters::m_bucketSize

PASN_Integer H245_RSVPParameters::m_peakRate

PASN_Integer H245_RSVPParameters::m_minPoliced

PASN_Integer H245_RSVPParameters::m_maxPktSize

The documentation for this class was generated from the following file:

- h245.h